relude-1.2.2.0: Safe, performant, user-friendly and lightweight Haskell Standard Library

Copyright | (c) 2016 Stephen Diehl (c) 2016-2018 Serokell (c) 2018-2023 Kowainik
License | MIT
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | Safe
Language | Haskell2010

Relude.Functor

Description

Convenient functions to work with `Functor`.

Synopsis

- module Relude.Functor.Reexport
- module Relude.Functor.Fmap

# Documentation

module Relude.Functor.Reexport

Reexports functionality for `Functor` and `Bifunctor` typeclasses.

module Relude.Functor.Fmap

Additional useful combinators to work with `Functor` type class. For example, `<<$>>` and `??`.